#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xB0,0xC2,0x1F,0xCA,0xD5,0xDB,0x9D,0x70,0xE9,0x92,0x61,0x18,
		0x68,0x5E,0xC1,0x6C,0xEA,0x73,0xA9,0xE8,0x0F,0x68,0x84,0xEE,
		0xAB,0xB8,0x23,0x0B,0xBD,0x49,0xB5,0x04,0xF0,0xDD,0x80,0x93,
		0x3D,0xE1,0x5B,0xF0,0x83,0x52,0xD2,0x9F,0x9B,0x26,0x71,0xCD,
		0xD0,0x17,0x16,0x75,0x3F,0xE0,0x13,0x04,0xC7,0x30,0x16,0xFD,
		0xB3,0x6A,0xD4,0x53,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
